
QGIS Application - Bug report #16513

Create buffers - Python error

2017-05-03 08:41 PM - Luis Gustavo de Oliveira Paes Leme

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:2.18.7 Regression?: No

Operating System: Windows 8.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24419

Description

I have a a collection of points (.shp) and I need to create round buffers of 5km for each point, but when I cilck to create after setting it up it

says there's a Python error:

An error has occurred while executing Python code:

ValueError: math domain error

Traceback (most recent call last):

File "C:/Users/LuisGustavo/.qgis2/python/plugins\mmqgis\mmqgis_dialogs.py", line 437, in run

shape, savename, selectedonly, True)

File "C:/Users/LuisGustavo/.qgis2/python/plugins\mmqgis\mmqgis_library.py", line 1176, in mmqgis_buffers

feature_radius, buffer_edges)

File "C:/Users/LuisGustavo/.qgis2/python/plugins\mmqgis\mmqgis_library.py", line 441, in mmqgis_buffer_point

polyline.append(mmqgis_endpoint(point, meters, float(edge) * 360.0 / float(edges)))

File "C:/Users/LuisGustavo/.qgis2/python/plugins\mmqgis\mmqgis_library.py", line 355, in mmqgis_endpoint

end_lat = math.asin((math.sin(start_lat) * math.cos(distance / radius)) +

ValueError: math domain error

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version: 2.18.7 Las Palmas, 3b30e6a

Python Path:

C:/PROGRA1/QGIS21.18/apps/qgis/./python/plugins\processing

C:/PROGRA1/QGIS21.18/apps/qgis/./python

C:/Users/LuisGustavo/.qgis2/python

C:/Users/LuisGustavo/.qgis2/python/plugins

C:/PROGRA1/QGIS21.18/apps/qgis/./python/plugins

C:\PROGRA1\QGIS21.18\bin\python27.zip

C:\PROGRA1\QGIS21.18\apps\Python27\DLLs

C:\PROGRA1\QGIS21.18\apps\Python27\lib

C:\PROGRA1\QGIS21.18\apps\Python27\lib\plat-win

C:\PROGRA1\QGIS21.18\apps\Python27\lib\lib-tk

C:\PROGRA1\QGIS21.18\bin

C:\PROGRA1\QGIS21.18\apps\Python27

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\PIL

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\jinja2-2.7.2-py2.7.egg

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\markupsafe-0.23-py2.7-win-amd64.egg

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\win32

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\win32\lib
C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\Pythonwin

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\wx-2.8-msw-unicode

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\xlrd-0.9.2-py2.7.egg

C:\PROGRA1\QGIS21.18\apps\Python27\lib\site-packages\xlwt-0.7.5-py2.7.egg

C:/Users/LuisGustavo/.qgis2//python

C:\Users\LuisGustavo.qgis2\python\plugins\mmqgis/forms

C:/Users/LuisGustavo/Google Drive/Biological Sciences/Conservation and Sustainability/QGIS/Mapa Base

I am new to coding, so I don't know exactly what this means. Could someone please help me out? These buffers are essential.

History

#1 - 2017-05-03 10:29 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

mmqgis is a 3rd party plugin, not part of a QGIS default installation, you must report the issue to the author of the plugin. Cheers!
